# MPICCommToFortranComm

Converts a MPI_Comm represented in C to one appropriate to pass to a Fortran routine.

### Synopsis

    PetscErrorCode MPICCommToFortranComm(MPI_Comm comm,int *fcomm)

Not collective

### Input Parameter

cobj -the C MPI_Comm

### Output Parameter

fobj -the Fortran MPI_Comm

### Notes

MPICCommToFortranComm() must be called in a C/C++ routine. MPI 1 does not provide a standard for mapping between Fortran and C MPI communicators; this routine handles the mapping correctly on all machines.

### Keywords

Fortran, C, MPI_Comm, convert, interlanguage

### See Also

MPIFortranCommToCComm()

Level:advanced
Location:src/fortran/custom/zoptions.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/examples/tutorials/ex7.c.html